# Uses of Interface
org.apache.qpid.proton.engine.Ssl

Packages that use Ssl
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.engine.impl.ssl

## Uses of Ssl in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that return Ssl
Modifier and Type
Method
Description
`Ssl`
Transport.`ssl(SslDomain sslDomain)`
Equivalent to `Transport.ssl(SslDomain, SslPeerDetails)` but passing null for SslPeerDetails, meaning no SNI detail is sent, hostname verification isn't supported etc when connecting.
`Ssl`
Transport.`ssl(SslDomain sslDomain, SslPeerDetails sslPeerDetails)`
Wrap this transport's output and input to apply SSL encryption and decryption respectively.

## Uses of Ssl in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl that return Ssl
Modifier and Type
Method
Description
`Ssl`
TransportImpl.`ssl(SslDomain sslDomain)`
`Ssl`
TransportImpl.`ssl(SslDomain sslDomain, SslPeerDetails sslPeerDetails)`
Wrap this transport's output and input to apply SSL encryption and decryption respectively.

## Uses of Ssl in org.apache.qpid.proton.engine.impl.ssl

Classes in org.apache.qpid.proton.engine.impl.ssl that implement Ssl
Modifier and Type
Class
Description
`class`
`SslImpl`